Bug 132074 - calc now improperly imports xls spreadsheets
calc now improperly imports xls spreadsheets
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: openoffice.org (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-08 12:32 EDT by John England
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-15 13:42:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
original xls spreadsheet (85.00 KB, text/plain)
2004-09-08 12:33 EDT, John England
no flags Details
correctly imported spreadsheet in oo 16.7 (49.35 KB, text/plain)
2004-09-08 12:34 EDT, John England
no flags Details

  None (edit)
Description John England 2004-09-08 12:32:33 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.3)
Gecko/20040803

Description of problem:


Version-Release number of selected component (if applicable):
openoffice.org-1.1.0-16.13.EL.i386

How reproducible:
Always

Steps to Reproduce:
1. start oo calc
2. open xls spreadsheet 
3. see that number formats/values and graphs clobbered (10^-29)
    

Actual Results:  Numbers reported as '0' and '' instead of actual values.
Graph line no longer displayed

Expected Results:  Numbers displayed correctly and calculations based
on these numbers performed correctly.
Graphs imported correctly

Additional info:

Previous version on U2: openoffice.org-1.1.0-16.7.EL.i386 did work
correctly!!  See attached spreadsheets completed on Aug 30/31 just
before upgrade to .13.  The .sxc version was a correct import of the
.xls spreadsheet!  Now, the new version doesn't read it correctly.
Comment 1 John England 2004-09-08 12:33:44 EDT
Created attachment 103589 [details]
original xls spreadsheet
Comment 2 John England 2004-09-08 12:34:44 EDT
Created attachment 103590 [details]
correctly imported spreadsheet in oo 16.7
Comment 3 Derek 2004-09-13 10:36:42 EDT
I can verify this bug. All numbers and dates are imported incorrectly
from Excel in version 16.13. 
Workaround: downgrade back to v16.7.

Comment 4 Dan Williams 2004-09-14 11:26:43 EDT
Derek,

Can you try v16.14.EL when it comes out Real Soon Now?

Thanks!
Dan
Comment 5 Dan Williams 2004-09-15 13:42:35 EDT
Fixed in openoffice.org-1.1.0-16.14.EL, now available through RHN.

errata: RHSA-2004:446

Note You need to log in before you can comment on or make changes to this bug.